#!/bin/bash

echo "+++ Start Hardware-Erkennung"

MONITOR=$(/usr/sbin/hwinfo --monitor|\
          /usr/bin/grep Model)
CARDDRIVER=$(/usr/sbin/hwinfo --gfxcard| \
	     grep "Server Module"|head -1| \
	     cut -d ":" -f 2|cut -b 2-)

echo "--- Grafikkarte '$CARDDRIVER' erkannt"

case "$MONITOR" in
 *PHILIPS* )
    HOSY="27-95" 
    VERE="50-160"
    echo "--- Monitor Phillips erkannt" 
    ;;
 *IIYAMA* )
    HOSY="27-65"
    VERE="50-60"
    echo "--- LCD IIYAMA erkannt"
    ;;
 * )
    DATUM=$(date)
    echo "!!! FEHLER - Monitor nicht erkannt!"
    echo "$DATUM MONITOR='$MONITOR'" \
         "CARDDRIVER='$CARDDRIVER'" \
             > /var/log/hwdetect.log
    exit
    ;;
esac

# XF86Config aus Vorlagendatei neu generieren

/bin/cat /etc/X11/XF86Config.vorlage | \
  /usr/bin/sed s/@HoSy/$HOSY/ | \
  /usr/bin/sed s/@VeRe/$VERE/ | \
  /usr/bin/sed s/@carddriver/$CARDDRIVER/ > \
  /etc/X11/XF86Config

echo "--- /etc/X11/XF86Config geschrieben"
echo "+++ Ende Hardware-Erkennung"
